body{
    height: 100vh;
    overflow: hidden;
    user-select: none;
}

.pageswrapper.zoomout{
    row-gap: 30px;
    column-gap: 30px;
    padding:50px 20px 100px 20px;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    overflow-y: auto;
}


.pageswrapper{
    overflow: hidden;
    display: flex;
    flex-direction: row;
    height: 100%;
    gap: 10px;
    gap: 10px 20px; /* row-gap column gap */
    row-gap: 10px;
    column-gap: 50px;
    padding:50px 100vw 100px 100vw;
    background-color: #202020;
}




.pageswrapper.moveMode .page{
    cursor: grab !important;
}

.pageswrapper.moveMode.grab .page{
    cursor: grabbing !important;
}


.pageswrapper.moveMode .page .selContainer, .pageswrapper.moveMode .page .slb{
    pointer-events: none !important;
}



.page {
    height: 100%;
    transition:opacity 300ms ease-in-out;
    position: relative;
    background-color: #3a3a3a;
}
.page img {
    height: 100%;
    opacity: 0.6;
    pointer-events: none;
}

.page.active img {
    opacity: 1;
}



.selContainer{
    height: 100%;
    width: 100%;
    /* background-color:  orange; */
    /* opacity: 0.3; */
    position: absolute;
    top: 0;
    left: 0;
}

.slb{
    position: absolute;
    cursor: move;
}

.slb .ocrText{
    display: none;
}

.slb .ui-resizable-handle.ui-resizable-se, .slb .ui-resizable-handle.ui-resizable-sw, .slb .ui-resizable-handle.ui-resizable-ne, .slb .ui-resizable-handle.ui-resizable-nw{
    background-color: #FFFFFF;
    border:1px solid #6b6a6a;
    width: 9px;
    height: 9px;
}

.slb.active, .slb:hover{
    opacity: 1 !important;
}

.slb .recNumber{
    position: absolute;
    top: -30px;
    left: -14px;
    color: #343a40;
    padding: 0 3px;
    font-size: 10px;
    z-index: 89;
    font-weight: bold;
    border: none;
    border-radius: 0;
    white-space: nowrap;
    background-color: #ffffff;
    opacity: 0;
}

.slb:hover .recNumber{
    opacity: 1;
}



.pageswrapper.touch .slb .ui-resizable-handle.ui-resizable-se, .pageswrapper.touch .slb .ui-resizable-handle.ui-resizable-sw, .pageswrapper.touch .slb .ui-resizable-handle.ui-resizable-ne, .pageswrapper.touch .slb .ui-resizable-handle.ui-resizable-nw{
    background-color: #FFFFFF;
    border:1px solid #6b6a6a;
    width: 30px;
    height: 30px;
    border-radius: 15px;
}

.pageswrapper:not(.zoomout) .page:last-child{
    margin-right: 100vw;
}


.pageswrapper.numberMode  .recNumber{
    top: -23px;
    padding: 0 10px;
    font-size: 15px;
    z-index: 89;
    font-weight: bold;
}


.slb.text{
    border:1px solid #0dcaf0;
    background-color: rgba(13, 202, 240, 0.3);
}

.slb.text .recNumber{
    background-color: #0dcaf0;
}


.slb.image{
    border:1px solid #ffc107;
    background-color: rgba(255, 193, 7, 0.3);
}

.slb.image .recNumber{
    background-color: #ffc107;
}

.slb .ui-icon { background-image:none     !important; }
.slb .ui-resizable-se { width: 9px; height: 9px; right: -5px; bottom: -5px; }


.inputModes{
    position: fixed;
    top: 15px;
    left: 15px;
    z-index: 1000;
    width: 30px;
    border-radius: 3px;
    
}

.inputModes label{
    height: 30px;
    line-height: 21px;
    font-size: 12px;
}


.getSlbData{
    position:fixed;
    top:0;
    right:0;
    z-index: 1000;
    width: 50px;
    height: 50px;
    text-align: center;
    line-height: 50px;
    cursor: pointer;
}

.getSlbData .btn   {
    line-height: 50px;
}

.paginationControls{
    width:278px !important;
    position: fixed;
    bottom:25px;
    z-index: 1000;
    left: calc(50% - 139px);
    border-radius: 3px;
    overflow: hidden;
}

.canvasControls{
    width: 30px !important;
    position: fixed;
    bottom: 15px;
    z-index: 1000;
    border-radius: 3px;
    overflow: hidden;
    left: 15px;
}


.toast {
    z-index: 10000;
    position: fixed;
    bottom: 0;
    right: 0px;
    transform:  scale(0.8);
}
